ServerEvents.recipes(event => {
    //Tier 1 a XXXXXXXXX dans l'overworld
  function createVoidMinerRecipe(dimension, minTier, outputItem, weight) {
    event.custom({
      type: 'voidminers:miner',
      dimension: dimension,
      minTier: minTier,
      output: {
        item: outputItem,
        weight: weight
      }
    });
  }

  createVoidMinerRecipe("minecraft:overworld", 1, "common_ore_library:aluminum_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "thermal:tin_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "mysticalagriculture:prosperity_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "xycraft_world:xychorium_ore_stone_green", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "mysticalagriculture:inferium_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "thermal:sulfur_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "powah:uraninite_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "powah:uraninite_ore_dense", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "powah:uraninite_ore_poor", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "nuclearcraft:zinc_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "forbidden_arcanus:xpetrified_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "xycraft_world:xychorium_ore_stone_red", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "nuclearcraft:cobalt_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "thermal:silver_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "xycraft_world:xychorium_ore_stone_blue", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "actuallyadditions:black_quartz_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "forbidden_arcanus:arcane_crystal_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "thermal:apatite_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "nuclearcraft:boron_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "thermal:cinnabar_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "xycraft_world:xychorium_ore_stone_dark", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "thermal:niter_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "thermal:nickel_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "thermal:lead_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 1, "xycraft_world:xychorium_ore_stone_light", 2.0);
});
ServerEvents.recipes(event => { 
//Tier 1 a XXXXXXXXX dans le Nether
  function createVoidMinerRecipe(dimension, minTier, outputItem, weight) {
    event.custom({
      type: 'voidminers:miner',
      dimension: dimension,
      minTier: minTier,
      output: {
        item: outputItem,
        weight: weight
      }
    });
  }

  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_iridium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "mysticalagriculture:soulium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_aluminum_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_silver_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_platinum_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_uranium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_zinc_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "rftoolsbase:dimensionalshard_nether", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_lead_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "mysticalagradditions:nether_inferium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "draconicevolution:nether_draconium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "allthemodium:vibranium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_nickel_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_osmium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "alltheores:nether_tin_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_nether", 1, "mysticalagradditions:nether_prosperity_ore", 2.0);
  }); 
  ServerEvents.recipes(event => { 
//Tier 1 a XXXXXXXXX dans l'End
  function createVoidMinerRecipe(dimension, minTier, outputItem, weight) {
    event.custom({
      type: 'voidminers:miner',
      dimension: dimension,
      minTier: minTier,
      output: {
        item: outputItem,
        weight: weight
      }
    });
  }

  createVoidMinerRecipe("minecraft:the_end", 1, "rftoolsbase:dimensionalshard_end", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_silver_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "bigreactors:anglesite_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_lead_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_aluminum_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_uranium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_zinc_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "allthemodium:unobtainium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_nickel_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_osmium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_tin_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "alltheores:end_platinum_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "mysticalagradditions:end_prosperity_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 1, "mysticalagradditions:end_inferium_ore", 2.0);
  }); 
  ServerEvents.recipes(event => { 
//Tier 5 a XXXXXXXXX dans l'End
  function createVoidMinerRecipe(dimension, minTier, outputItem, weight) {
    event.custom({
      type: 'voidminers:miner',
      dimension: dimension,
      minTier: minTier,
      output: {
        item: outputItem,
        weight: weight
      }
    });
  }

  createVoidMinerRecipe("minecraft:the_end", 5, "alltheores:end_iridium_ore", 2.0);
  createVoidMinerRecipe("minecraft:the_end", 5, "draconicevolution:end_draconium_ore", 2.0);
  }); 
  ServerEvents.recipes(event => {
    //Tier 5 a XXXXXXXXX dans l'overworld
  function createVoidMinerRecipe(dimension, minTier, outputItem, weight) {
    event.custom({
      type: 'voidminers:miner',
      dimension: dimension,
      minTier: minTier,
      output: {
        item: outputItem,
        weight: weight
      }
    });
  }

  createVoidMinerRecipe("minecraft:overworld", 5, "alltheores:peridot_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 5, "common_ore_library:tungsten_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 5, "draconicevolution:overworld_draconium_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 5, "rftoolsbase:dimensionalshard_overworld", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 5, "nuclearcraft:magnesium_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 5, "allthemodium:other_vibranium_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 5, "thermal:ruby_ore', 'thermal:sapphire_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 5, "nuclearcraft:lithium_ore", 2.0);
});
ServerEvents.recipes(event => {
    //Tier 8 a XXXXXXXXX dans l'overworld
  function createVoidMinerRecipe(dimension, minTier, outputItem, weight) {
    event.custom({
      type: 'voidminers:miner',
      dimension: dimension,
      minTier: minTier,
      output: {
        item: outputItem,
        weight: weight
      }
    });
  }

  createVoidMinerRecipe("minecraft:overworld", 8, "ad_astra:moon_desh_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 8, "ad_astra:mars_ice_shard_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 8, "ad_astra:venus_calorite_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 8, "ad_astra:moon_ice_shard_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 8, "ad_astra:deepslate_desh_ore", 2.0);
  createVoidMinerRecipe("minecraft:overworld", 8, "ad_astra:mars_ostrum_ore", 2.0);
});